@import url('https://fonts.googleapis.com/css2?family=Lato:ital,wght@0,100;0,300;0,400;0,700;0,900;1,100;1,300;1,400;1,700;1,900&display=swap');

:root {
	--background-color: black;
	--color: white;
}

html, body {
	width: 100%; 
	min-height: 100vh;
	margin: 0;
	color: var(--color);
	background-color: var(--background-color);
    background-image: url('shiroBG.webp');
    background-repeat: no-repeat;
    background-attachment: fixed; 
    background-position: right -40px;
    background-size: auto 160%;
	font-family: "Lato", sans-serif;
	font-weight: 400;
	font-style: normal;
    overflow-x: hidden;
}

body.no-background {
    background-image: none;
}

/* Page layout */
body {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    text-align: center;
}

/* Logo */
.logo-link {
    display: block;
    margin-bottom: 8px;
    transition: transform 0.3s ease;
}

.logo-link:hover {
    transform: scale(1.1);
}

.logo {
    display: block;
    width: 640px;
    max-width: 100vw;
    height: auto;
    filter: drop-shadow(0 0 8px #000) 
            drop-shadow(0 0 8px #000) 
            drop-shadow(0 0 8px #000);
}

/* Heading */
h1 {
    font-family: "Lato", sans-serif;
    color: #ffffff;
    margin-top: 8px;
    margin-bottom: 12px;
     filter: drop-shadow(0 0 8px #000) 
            drop-shadow(0 0 8px #000) 
            drop-shadow(0 0 8px #000);
}

h1 a {
    color: #ffffff;
}

/* Buttons */
.button-row {
    display: flex;
    gap: 8px;
    flex-wrap: wrap;
    justify-content: center;
}